// menus 
function vw_gift_shop_menu_open_nav() {
	window.vw_gift_shop_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function vw_gift_shop_menu_close_nav() {
	window.vw_gift_shop_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}
jQuery(function($){
 	"use strict";
 	jQuery('.main-menu > ul').superfish({
		delay: 500,
		animation: {opacity:'show',height:'show'},
		speed: 'fast'
 	});
});

jQuery(document).ready(function () {
	window.vw_gift_shop_currentfocus=null;
  	vw_gift_shop_checkfocusdElement();
	var vw_gift_shop_body = document.querySelector('body');
	vw_gift_shop_body.addEventListener('keyup', vw_gift_shop_check_tab_press);
	var vw_gift_shop_gotoHome = false;
	var vw_gift_shop_gotoClose = false;
	window.vw_gift_shop_responsiveMenu=false;
 	function vw_gift_shop_checkfocusdElement(){
	 	if(window.vw_gift_shop_currentfocus=document.activeElement.className){
		 	window.vw_gift_shop_currentfocus=document.activeElement.className;
	 	}
 	}
 	function vw_gift_shop_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.vw_gift_shop_responsiveMenu){
			if (!e.shiftKey) {
				if(vw_gift_shop_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				vw_gift_shop_gotoHome = true;
			} else {
				vw_gift_shop_gotoHome = false;
			}

		}else{

			if(window.vw_gift_shop_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.vw_gift_shop_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.vw_gift_shop_responsiveMenu){
				if(vw_gift_shop_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					vw_gift_shop_gotoClose = true;
				} else {
					vw_gift_shop_gotoClose = false;
				}

			}else{

			if(window.vw_gift_shop_responsiveMenu){
			}}}}
		}
	 	vw_gift_shop_checkfocusdElement();
	}
});

/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});

jQuery('document').ready(function($){
	// preloader
  setTimeout(function () {
		jQuery("#preloader").fadeOut("slow");
  },1000);

  // Sticky Header
  $(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});
  // Sticky Copyright
  $(window).scroll(function(){
    var sticky = $('.copyright-sticky'),
      scroll = $(window).scrollTop();

    if (scroll >= 100) sticky.addClass('copyright-fixed');
    else sticky.removeClass('copyright-fixed');
  });
});

// Scroller
jQuery(document).ready(function () {
	jQuery(window).scroll(function () {
    if (jQuery(this).scrollTop() > 100) {
      jQuery('.scrollup i').fadeIn();
    } else {
      jQuery('.scrollup i').fadeOut();
    }
	});
	jQuery('.scrollup i').click(function () {
    jQuery("html, body").animate({
      scrollTop: 0
    }, 600);
    return false;
	});
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const vw_gift_shop_progressBar =
        document.getElementById("vw_gift_shop_elemento_progress_bar");
    if (!vw_gift_shop_progressBar) return;
    window.addEventListener("scroll", function () {
        const vw_gift_shop_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const vw_gift_shop_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const vw_gift_shop_scrolled =
            (vw_gift_shop_scrollTop / vw_gift_shop_height) * 100;
        vw_gift_shop_progressBar.style.width =
            vw_gift_shop_scrolled + "%";
    });
});